Subject: Re: Where to put profile files?
From: "Randall Parker" <[email-masked]>
To: "Bob McGowan" <[email-masked]>, "Mike Little" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Tue, 18 Jul 2000 10:02:03 -0700

Bob,

Yes, verified what you and Mike said. Thanks.  If I set the HOME variable in the environment then it will read .bashrc. But it still won't read the .bash_profile or .bash_login files. However, if I add the --
login on the line in cygwin.bat that executes bash then it reads the other files.

However, I still have a mystery: I can't get it to use the profile file in the etc directory. 

So how does it know which directory is the etc directory? Neither of these is getting executed:
   c:\etc\profile
   j:\prg\cygwin\etc\profile

Is there a different environment variable for where Bash's own home directory is located?

On Tue, 18 Jul 2000 09:36:58 -0700, Bob McGowan wrote:

>I believe it is necessary to edit the bash startup (batch file or
>shortcut...) and add the '--login' option, before bash will read any of
>the login related startup scripts.
>
>If you put everything in .bashrc at the place $HOME points, then the
>option is not needed.
>
>Mike Little wrote:
>> 
>> > -----Original Message-----
>> > From: Randall Parker [mailto:[email-masked]]
>> > Sent: Tuesday, July 18, 2000 7:06 AM
>> > To: [email-masked]
>> > Subject: Where to put profile files?
>> >
>> >
>> > When I start up Bash from NT it opens in
>> >    c:\winnt\profiles\randall\desktop
>> >
>> > So I tried putting .bash_login and .bash_profile in it with
>> > just one line:
>> >  alias dir=ls
>> >
>> > This doesn't work. I tried putting a profile file with the
>> > same contents in the etc directory under
>> > where I have cygwin installed:
>> >   j:\prg\cygwin\etc\profile
>> >
>> > That doesn't make any difference either.
>> >
>> > I tried creating an etc directory on the c drive and putting
>> > profile in it too:
>> >    c:\etc\profile
>> >
>> > That doesn't help either.
>> >
>> > So I'm running out of ideas. Anyone know where the Cygwin
>> > Bash goes looking for profile,
>> > .bash_login, .bash_profile, and .bashrc?
>> >
>> 
>> Try setting $HOME before you run bash.
>> (i.e. set it in Control Panel->System->Environment)
>> I set mine to %SystemRoot%\Profiles\%USERNAME%\home
>> Which evaluates to C:\WINNT\Profiles\mlit\home.
>> 
>> The last sub-directory I created (the rest by NT). I have my
>> .bashrc and .bash_profile files in there (unix line endings)
>> 
>> If you have installed via the latest GUI installer the
>> /etc/profile file tries to be more sensible about it, and
>> will in fact create a home directory for you if $HOME is not defined.
>> 
>> Hope that helps.
>> 
>> Mike
>> 
>> --
>> Mike Little
>> Share what you know. Learn what you don't.
>> 
>> ServicePOWER Business Solutions Ltd
>> home: [email-masked]
>> 
>> 
>> --
>> Want to unsubscribe from this list?
>> Send a message to [email-masked]
>
>-- 
>Bob McGowan
>Staff Software Quality Engineer
>VERITAS Software
>[email-masked]
>
>--
>Want to unsubscribe from this list?
>Send a message to [email-masked]
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]